<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Partido</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="formPartido">
                <h:panelGrid columns="3">
                    <p:outputLabel value="Seleccione Lugar"/>
                    <p:selectOneMenu value="#{partidoController.lugar.idlugar}">
                        <f:selectItems value="#{lugar_TorneoController.lista}" var="lugar" itemValue="#{lugar.idlugar}" itemLabel="#{lugar.idpista.pista} Torneo: #{lugar.idtorneo.nombre}"/>
                    </p:selectOneMenu>
                    <p:column/>
                    <p:outputLabel value="Seleccione Modalidad"/>
                    <p:selectOneMenu value="#{partidoController.modalidad.idmodal}">
                        <f:selectItems value="#{modalidadController.lista}" var="modalidad" itemValue="#{modalidad.idmodal}" itemLabel="#{modalidad.nombre}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir" oncomplete="PF('modalidad').show();" update=":modalidad"/>
                    <p:outputLabel value="Seleccione Arbitro"/>
                    <p:selectOneMenu value="#{partidoController.arbitro.idarbi}">
                        <f:selectItems value="#{arbitroController.lista}" var="arbitro" itemValue="#{arbitro.idarbi}" itemLabel="#{arbitro.nombre}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir" oncomplete="PF('arbitro').show();" update=":arbitro"/>
                    <p:outputLabel value="Seleccione Fase"/>
                    <p:selectOneMenu value="#{partidoController.fase.idfase}" >
                        <f:selectItems value="#{faseController.lista}" var="fase" itemValue="#{fase.idfase}" itemLabel="#{fase.fase}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir" oncomplete="PF('fase').show();" update=":fase"/>
                    <p:outputLabel value="Seleccione Premio"/>
                    <p:selectOneMenu value="#{partidoController.premio.idpremio}">
                        <f:selectItems value="#{premioController.lista}" var="premio" itemValue="#{premio.idpremio}" itemLabel="#{premio.premio}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir" oncomplete="PF('premio').show();" update=":premio"/>
                    <p:commandButton disabled="#{!partidoController.boton}" value="Guardar" actionListener="#{partidoController.insertar()}" update=":listaPartido,formPartido"/>
                    <p:commandButton disabled="#{partidoController.boton}" value="Actualizar" actionListener="#{partidoController.actualizar()}" update=":listaPartido,formPartido"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>

        <p:dialog widgetVar="modalidad" id="modalidad" modal="true">
            <p:fieldset>
                <h:form id="datos">
                    <h:panelGrid  columns="2">
                        <p:outputLabel value="NOMBRE DE MODALIDAD"/>
                        <p:inputText value="#{modalidadController.modalidad.nombre}"/>
                        <p:commandButton rendered="#{modalidadController.modalidad.nombre==null}" value="REGISTRAR" actionListener="#{modalidadController.insertar()}" update=":tabla,:formPartido,datos"/>
                        <p:commandButton rendered="#{modalidadController.modalidad.nombre!=null}" value="EDITAR" actionListener="#{modalidadController.editar()}" update=":tabla,:formPartido,datos"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>
            <br></br>
            <p:fieldset legend="MODALIDADES REGISTRADAS">
                <h:form id="tabla">
                    <p:dataTable value="#{modalidadController.lista}" var="lm" rows="5" paginator="true">
                        <p:column headerText="ID" width="80">
                            <p:outputLabel value="#{lm.idmodal}" />
                        </p:column>
                        <p:column headerText="MODALIDAD" width="200">
                            <p:outputLabel value="#{lm.nombre}"/>
                        </p:column>
                        <p:column headerText="ACCIONES" width="250">
                            <p:commandButton value="EDITAR" actionListener="#{modalidadController.consultarById(lm)}" update=":datos"/>
                            <p:commandButton value="ELIMINAR" actionListener="#{modalidadController.eliminar(lm)}" update=":tabla,:formPartido"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>

        <p:dialog widgetVar="arbitro" id="arbitro" modal="true">
            <p:fieldset>
                <h:form id="formArbitro">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="Nombre Arbitro"/>
                        <p:inputText value="#{arbitroController.arbitro.nombre}"/>
                        <p:commandButton rendered="#{arbitroController.arbitro.nombre==null}" value="Enviar" actionListener="#{arbitroController.insertar()}" update=":listaArbitro,formArbitro,:formPartido"/>
                        <p:commandButton rendered="#{arbitroController.arbitro.nombre!=null}" value="Actualizar" actionListener="#{arbitroController.actualizar()}" update=":listaArbitro,formArbitro,:formPartido"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>
            <p:fieldset legend="Lista de arbitros">
                <h:form id="listaArbitro">
                    <p:dataTable id="tabla" value="#{arbitroController.lista}" var="ver" rows="5" paginator="true">
                        <p:column headerText="Id" width="80">
                            <p:outputLabel value="#{ver.idarbi}"/>
                        </p:column>
                        <p:column headerText="Arbitro" width="150">
                            <p:outputLabel value="#{ver.nombre}"/>
                        </p:column>
                        <p:column headerText="Eliminar" width="100">
                            <p:commandButton actionListener="#{arbitroController.eliminar(ver)}" value="Eliminar" update="listaArbitro,:formPartido"/>
                        </p:column>
                        <p:column headerText="Actualizar" width="125">
                            <p:commandButton actionListener="#{arbitroController.consultarById(ver)}" value="Actualizar" update=":formArbitro"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>

        <p:dialog widgetVar="fase" id="fase" modal="true">
            <p:fieldset legend="Añadir Fase">
                <h:form id="formFase">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="Ingrese Fase"/>
                        <p:inputText value="#{faseController.fase.fase}"/>
                        <p:commandButton rendered="#{faseController.fase.fase==null}" value="Enviar" actionListener="#{faseController.insertar()}" update="formFase,:formPartido,:listaFases,:formPremio"/>
                        <p:commandButton rendered="#{faseController.fase.fase!=null}" value="Actualizar" actionListener="#{faseController.actualizar()}" update="formFase,:formPartido,:listaFases,:formPremio"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>

            <p:fieldset legend="Lista de Fases">
                <h:form id="listaFases">
                    <p:dataTable id="tabla" value="#{faseController.lista}" var="ver" paginator="true" rows="5">
                        <p:column headerText="Id Fase" width="80">
                            <p:outputLabel value="#{ver.idfase}"/>
                        </p:column>
                        <p:column headerText="Fase" width="150">
                            <p:outputLabel value="#{ver.fase}"/>
                        </p:column>
                        <p:column headerText="Eliminar" width="100">
                            <p:commandButton actionListener="#{faseController.eliminar(ver)}" value="Eliminar" update="listaFases,:formPartido"/>
                        </p:column>
                        <p:column headerText="Actualizar" width="125">
                            <p:commandButton actionListener="#{faseController.consultarById(ver)}" value="Actualizar" update=":formFase"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>

        <p:dialog id="premio" widgetVar="premio">
            <p:fieldset legend="Añadir Premio">
                <h:form id="formPremio">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="Premio"/>
                        <p:inputText value="#{premioController.premio.premio}"/>
                        <p:outputLabel value="Fase"/>
                        <p:selectOneMenu value="#{premioController.fase.idfase}">
                            <f:selectItems value="#{premioController.listafase}" var="Fase" itemValue="#{Fase.idfase}" itemLabel="#{Fase.fase}"/>
                        </p:selectOneMenu>
                        <p:commandButton disabled="#{!premioController.boton}"  value="Enviar" actionListener="#{premioController.insertar()}" update="formPremio,:formPartido,:listaPremios"/>
                        <p:commandButton disabled="#{premioController.boton}" value="Actualizar" actionListener="#{premioController.actualizar()}" update=":listaPremios,:formPartido,:listaPremios,formPremio"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>

            <p:fieldset legend="Lista de premios">
                <h:form id="listaPremios">
                    <p:dataTable id="tabla" value="#{premioController.lista}" var="ver" rows="5" paginator="true">
                        <p:column headerText="Id" width="80">
                            <p:outputLabel value="#{ver.idpremio}"/>
                        </p:column>
                        <p:column headerText="Premio" width="150">
                            <p:outputLabel value="$#{ver.premio}"/>
                        </p:column>
                        <p:column headerText="Fase" width="150">
                            <p:outputLabel value="#{ver.idfase.fase}"/>
                        </p:column>
                        <p:column headerText="Eliminar" width="100">
                            <p:commandButton value="Eliminar" actionListener="#{premioController.eliminar(ver)}" update="listaPremios,:formPartido"/>
                        </p:column>
                        <p:column headerText="Actualizar" width="125">
                            <p:commandButton value="Actualizar" actionListener="#{premioController.consultarById(ver)}" update=":formPremio"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>
        <br></br>
        <p:fieldset legend="PARTIDOS REGISTRADOS">
            <h:form id="listaPartido">
                <p:dataTable value="#{partidoController.lista}" var="partidos" rows="5" paginator="true">
                    <p:column headerText="LUGAR">
                        <p:outputLabel value="#{partidos.idlugar.idciudad.ciudad}"/>
                    </p:column>
                    <p:column headerText="MODALIDAD">
                        <p:outputLabel value="#{partidos.idmodal.nombre}"/>
                    </p:column>
                    <p:column headerText="ARBITRO">
                        <p:outputLabel value="#{partidos.idarbi.nombre}"/>
                    </p:column>
                    <p:column headerText="FASE">
                        <p:outputLabel value="#{partidos.idfase.fase}"/>
                    </p:column>
                    <p:column headerText="TORNEO">
                        <p:outputLabel value="#{partidos.idlugar.idtorneo.nombre}"/>
                    </p:column>
                    <p:column headerText="PREMIO">
                        <p:outputLabel value="$ #{partidos.idpremio.premio}"/>
                    </p:column>
                    <p:column headerText="ACCIONES">
                        <p:commandButton value="EDITAR" actionListener="#{partidoController.consultarById(partidos)}" update=":formPartido"/>
                        <p:commandButton value="ELIMINAR" actionListener="#{partidoController.eliminar(partidos)}" update=":listaPartido"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>


    </h:body>
</html>